PlataformaEducativa/PlataformaEducativa.Site/Models/People/People/PeopleCreateViewModel.cs
// <copyright file="PeopleCreateViewModel.cs" company="Open Source">
// Copyright (c) Open Source. All rights reserved.
// </copyright>

namespace PlataformaEducativa.Site.Models.People
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using PlataformaEducativa.Database.Model.People;

    public class PeopleCreateViewModel
    {
        public int Id { get; set; }

        [Display(Name = nameof(Identity), ResourceType = typeof(Resources.Model.People.People.Create))]
        public string Identity { get; set; }

        [Display(Name = nameof(FirstName), ResourceType = typeof(Resources.Model.People.People.Create))]
        public string FirstName { get; set; }

        [Display(Name = nameof(SecondName), ResourceType = typeof(Resources.Model.People.People.Create))]
        public string SecondName { get; set; }

        [Display(Name = nameof(MiddleName), ResourceType = typeof(Resources.Model.People.People.Create))]
        public string MiddleName { get; set; }

        [Display(Name = nameof(LastName), ResourceType = typeof(Resources.Model.People.People.Create))]
        public string LastName { get; set; }

        [Display(Name = nameof(BirthDate), ResourceType = typeof(Resources.Model.People.People.Create))]
        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:yyyy-MM-dd}")]
        public DateTime BirthDate { get; set; }

        [Display(Name = nameof(EducationLevelId), ResourceType = typeof(Resources.Model.People.People.Create))]
        public int EducationLevelId { get; set; }

        [Display(Name = nameof(SexTypeId), ResourceType = typeof(Resources.Model.People.People.Create))]
        public int SexTypeId { get; set; }

        [Display(Name = nameof(CivilStatusId), ResourceType = typeof(Resources.Model.People.People.Create))]
        public int CivilStatusId { get; set; }

        [Display(Name = nameof(CivilStatuses), ResourceType = typeof(Resources.Model.People.People.Create))]
        public IEnumerable<CivilStatus> CivilStatuses { get; set; }

        [Display(Name = nameof(SexTypes), ResourceType = typeof(Resources.Model.People.People.Create))]
        public IEnumerable<SexType> SexTypes { get; set; }

        [Display(Name = nameof(EducationLevels), ResourceType = typeof(Resources.Model.People.People.Create))]
        public IEnumerable<EducationLevel> EducationLevels { get; set; }
    }
}

PlataformaEducativa/PlataformaEducativa.Site/Models/People/People/PeopleDetailViewModel.cs
// <copyright file="PeopleDetailViewModel.cs" company="Open Source">
// Copyright (c) Open Source. All rights reserved.
// </copyright>

namespace PlataformaEducativa.Site.Models.People
{
    using System;
    using System.ComponentModel.DataAnnotations;

    public class PeopleDetailViewModel
    {
        public int Id { get; set; }

        [Display(Name = nameof(Identity), ResourceType = typeof(Resources.Model.People.People.Detail))]
        public string Identity { get; set; }

        [Display(Name = nameof(FullName), ResourceType = typeof(Resources.Model.People.People.Detail))]
        public string FullName { get; set; }

        [Display(Name = nameof(BirthDate), ResourceType = typeof(Resources.Model.People.People.Detail))]
        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:MM/dd/yyyy}")]
        public DateTime BirthDate { get; set; }

        [Display(Name = nameof(EducationLevel), ResourceType = typeof(Resources.Model.People.People.Detail))]
        public string EducationLevel { get; set; }

        [Display(Name = nameof(SexType), ResourceType = typeof(Resources.Model.People.People.Detail))]
        public string SexType { get; set; }

        [Display(Name = nameof(CivilStatus), ResourceType = typeof(Resources.Model.People.People.Detail))]
        public string CivilStatus { get; set; }
    }
}

PlataformaEducativa/PlataformaEducativa.Site/Models/People/People/PeopleEditViewModel.cs
// <copyright file="PeopleEditViewModel.cs" company="Open Source">
// Copyright (c) Open Source. All rights reserved.
// </copyright>

namespace PlataformaEducativa.Site.Models.People
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using PlataformaEducativa.Database.Model.People;

    public class PeopleEditViewModel
    {
        public int Id { get; set; }

        [Display(Name = nameof(Identity), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public string Identity { get; set; }

        [Display(Name = nameof(FirstName), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public string FirstName { get; set; }

        [Display(Name = nameof(SecondName), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public string SecondName { get; set; }

        [Display(Name = nameof(MiddleName), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public string MiddleName { get; set; }

        [Display(Name = nameof(LastName), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public string LastName { get; set; }

        [Display(Name = nameof(BirthDate), ResourceType = typeof(Resources.Model.People.People.Edit))]
        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:yyyy-MM-dd}")]
        public DateTime BirthDate { get; set; }

        [Display(Name = nameof(EducationLevelId), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public int EducationLevelId { get; set; }

        [Display(Name = nameof(SexTypeId), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public int SexTypeId { get; set; }

        [Display(Name = nameof(CivilStatusId), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public int CivilStatusId { get; set; }

        [Display(Name = nameof(CivilStatuses), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public IEnumerable<CivilStatus> CivilStatuses { get; set; }

        [Display(Name = nameof(SexTypes), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public IEnumerable<SexType> SexTypes { get; set; }

        [Display(Name = nameof(EducationLevels), ResourceType = typeof(Resources.Model.People.People.Edit))]
        public IEnumerable<EducationLevel> EducationLevels { get; set; }
    }
}

PlataformaEducativa/PlataformaEducativa.Site/Models/People/People/PeopleListViewModel.cs
// <copyright file="PeopleListViewModel.cs" company="Open Source">
// Copyright (c) Open Source. All rights reserved.
// </copyright>

namespace PlataformaEducativa.Site.Models.People
{
    using System;
    using System.ComponentModel.DataAnnotations;

    public class PeopleListViewModel
    {
        public int Id { get; set; }

        [Display(Name = nameof(Identity), ResourceType = typeof(Resources.Model.People.People.List))]
        public string Identity { get; set; }

        [Display(Name = nameof(FullName), ResourceType = typeof(Resources.Model.People.People.List))]
        public string FullName { get; set; }

        [Display(Name = nameof(BirthDate), ResourceType = typeof(Resources.Model.People.People.List))]
        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:MM/dd/yyyy}")]
        public DateTime BirthDate { get; set; }

        [Display(Name = nameof(EducationLevel), ResourceType = typeof(Resources.Model.People.People.List))]
        public string EducationLevel { get; set; }

        [Display(Name = nameof(SexType), ResourceType = typeof(Resources.Model.People.People.List))]
        public string SexType { get; set; }

        [Display(Name = nameof(CivilStatus), ResourceType = typeof(Resources.Model.People.People.List))]
        public string CivilStatus { get; set; }
    }
}

PlataformaEducativa/PlataformaEducativa.Site/Controllers/PeopleController.cs
// <copyright file="PeopleController.cs" company="Open Source">
// Copyright (c) Open Source. All rights reserved.
// </copyright>

namespace PlataformaEducativa.Site.Controllers
{
    using System;
    using System.Linq;
    using System.Threading.Tasks;
    using Microsoft.AspNetCore.Mvc;
    using Microsoft.EntityFrameworkCore;
    using PlataformaEducativa.Core.People.People;
    using PlataformaEducativa.Database.Model.People;
    using PlataformaEducativa.Database.Repository.GeneralConfigurationResources;
    using PlataformaEducativa.Site.Models.People;

    public class PeopleController : Controller
    {
        private readonly IPeopleManager peopleManager;
        private readonly IRepository<CivilStatus> civilStatusRepository;
        private readonly IRepository<SexType> sexTypeRepository;
        private readonly IRepository<EducationLevel> educationLevelRepository;

        public PeopleController(
            IPeopleManager peopleManager,
            IRepository<CivilStatus> civilStatusRepository,
            IRepository<SexType> sexTypeRepository,
            IRepository<EducationLevel> educationLevelRepository)
        {
            this.peopleManager = peopleManager;
            this.civilStatusRepository = civilStatusRepository;
            this.sexTypeRepository = sexTypeRepository;
            this.educationLevelRepository = educationLevelRepository;
        }

        public async Task<IActionResult> Index()
        {
            var list = (await this.peopleManager.GetAllAsync()).Select(p => new PeopleListViewModel
            {
                Id = p.Id,
                FullName = $"{p.FirstName} {p.SecondName} {p.MiddleName} {p.LastName}",
                BirthDate = p.BirthDate,
                CivilStatus = p.CivilStatus.Description,
                EducationLevel = p.EducationLevel.Level,
                Identity = p.Identity,
                SexType = p.SexType.Value,
            }).ToList();

            return this.View(list);
        }

        public async Task<IActionResult> Create()
        {
            return this.View(new PeopleCreateViewModel
            {
                CivilStatuses = await this.civilStatusRepository.All().ToListAsync(),
                SexTypes = await this.sexTypeRepository.All().ToListAsync(),
                EducationLevels = await this.educationLevelRepository.All().ToListAsync(),
                BirthDate = DateTime.Now
            });
        }

        public async Task<IActionResult> Details(int? id)
        {
            if (id == null)
            {
                return this.BadRequest();
            }

            var people = await this.peopleManager.GetByIdAsync(id.Value);

            if (people == null)
            {
                return this.BadRequest();
            }

            return this.View(new PeopleDetailViewModel
            {
                Id = people.Id,
                SexType = people.SexType.Value,
                BirthDate = people.BirthDate,
                CivilStatus = people.CivilStatus.Description,
                EducationLevel = people.EducationLevel.Level,
                Identity = people.Identity,
                FullName = $"{people.FirstName} {people.SecondName} {people.MiddleName} {people.LastName}",
            });
        }

        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null)
            {
                return this.BadRequest();
            }

            var people = await this.peopleManager.GetByIdAsync(id.Value);

            if (people == null)
            {
                return this.BadRequest();
            }

            var result = await this.peopleManager.DeleteAsync(id.Value);

            if (!result.Succeeded)
            {
                foreach (var validations in result.ValidationMessages)
                {
                    foreach (var item in validations.Value)
                    {
                        this.ModelState.AddModelError(validations.Key, item);
                    }
                }

                return this.RedirectToAction("Index");
            }

            return this.RedirectToAction("Index");
        }

        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null)
            {
                return this.BadRequest();
            }

            var people = await this.peopleManager.GetByIdAsync(id.Value);

            if (people == null)
            {
                return this.BadRequest();
            }

            return this.View(new PeopleEditViewModel
            {
                SexTypeId = people.IdSexType,
                CivilStatusId = people.IdCivilStatus,
                EducationLevelId = people.IdEducationLevel,
                CivilStatuses = await this.civilStatusRepository.All().ToListAsync(),
                SexTypes = await this.sexTypeRepository.All().ToListAsync(),
                EducationLevels = await this.educationLevelRepository.All().ToListAsync(),
                Id = people.Id,
                BirthDate = people.BirthDate,
                FirstName = people.FirstName,
                SecondName = people.SecondName,
                MiddleName = people.MiddleName,
                LastName = people.LastName,
                Identity = people.Identity,
            });
        }

        [HttpPost]
        public async Task<IActionResult> Edit(PeopleEditViewModel peopleEditViewModel)
        {
            if (!this.ModelState.IsValid)
            {
                peopleEditViewModel.CivilStatuses = await this.civilStatusRepository.All().ToListAsync();
                peopleEditViewModel.SexTypes = await this.sexTypeRepository.All().ToListAsync();
                peopleEditViewModel.EducationLevels = await this.educationLevelRepository.All().ToListAsync();
                return this.View(peopleEditViewModel);
            }

            var people = await this.peopleManager.GetByIdAsync(peopleEditViewModel.Id);

            if (people == null)
            {
                return this.BadRequest();
            }

            people.IdEducationLevel = peopleEditViewModel.EducationLevelId;
            people.BirthDate = peopleEditViewModel.BirthDate;
            people.IdCivilStatus = peopleEditViewModel.CivilStatusId;
            people.FirstName = peopleEditViewModel.FirstName;
            people.SecondName = peopleEditViewModel.SecondName;
            people.MiddleName = peopleEditViewModel.MiddleName;
            people.LastName = peopleEditViewModel.LastName;
            people.Identity = peopleEditViewModel.Identity;
            people.IdSexType = peopleEditViewModel.SexTypeId;

            var result = await this.peopleManager.EditAsync(people);

            if (!result.Succeeded)
            {
                foreach (var validations in result.ValidationMessages)
                {
                    foreach (var item in validations.Value)
                    {
                        this.ModelState.AddModelError(validations.Key, item);
                    }
                }

                peopleEditViewModel.CivilStatuses = await this.civilStatusRepository.All().ToListAsync();
                peopleEditViewModel.SexTypes = await this.sexTypeRepository.All().ToListAsync();
                peopleEditViewModel.EducationLevels = await this.educationLevelRepository.All().ToListAsync();
                return this.View(peopleEditViewModel);
            }

            return this.RedirectToAction("Index");
        }

        [HttpPost]
        public async Task<IActionResult> Create(PeopleCreateViewModel peopleCreateViewModel)
        {
            if (!this.ModelState.IsValid)
            {
                peopleCreateViewModel.CivilStatuses = await this.civilStatusRepository.All().ToListAsync();
                peopleCreateViewModel.SexTypes = await this.sexTypeRepository.All().ToListAsync();
                peopleCreateViewModel.EducationLevels = await this.educationLevelRepository.All().ToListAsync();
                return this.View(peopleCreateViewModel);
            }

            var result = await this.peopleManager.CreateAsync(
                new Database.Model.People.People
                {
                    IdEducationLevel = peopleCreateViewModel.EducationLevelId,
                    BirthDate = peopleCreateViewModel.BirthDate,
                    IdCivilStatus = peopleCreateViewModel.CivilStatusId,
                    FirstName = peopleCreateViewModel.FirstName,
                    SecondName = peopleCreateViewModel.SecondName,
                    MiddleName = peopleCreateViewModel.MiddleName,
                    LastName = peopleCreateViewModel.LastName,
                    Identity = peopleCreateViewModel.Identity,
                    IdSexType = peopleCreateViewModel.SexTypeId,
                });

            if (!result.Succeeded)
            {
                foreach (var validations in result.ValidationMessages)
                {
                    foreach (var item in validations.Value)
                    {
                        this.ModelState.AddModelError(validations.Key, item);
                    }
                }

                peopleCreateViewModel.CivilStatuses = await this.civilStatusRepository.All().ToListAsync();
                peopleCreateViewModel.SexTypes = await this.sexTypeRepository.All().ToListAsync();
                peopleCreateViewModel.EducationLevels = await this.educationLevelRepository.All().ToListAsync();
                return this.View(peopleCreateViewModel);
            }

            return this.RedirectToAction("Index");
        }
    }
}

PlataformaEducativa/PlataformaEducativa.Site/Views/People/Create.cshtml
@model PlataformaEducativa.Site.Models.People.PeopleCreateViewModel
@{
    ViewData["Title"] = "Create";
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
            <div class="header">
                <h2>Crear persona</h2>
            </div>
            <div class="body">
                <form method="post">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }
                    <label asp-for="Identity">@Html.DisplayNameFor(Model => Model.Identity)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Identity" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="Identity"></span>
                        </label>
                    </div>

                    <label asp-for="FirstName">@Html.DisplayNameFor(Model => Model.FirstName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="FirstName" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="FirstName"></span>
                        </label>
                    </div>

                    <label asp-for="SecondName">@Html.DisplayNameFor(Model => Model.SecondName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="SecondName" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="SecondName"></span>
                        </label>
                    </div>

                    <label asp-for="MiddleName">@Html.DisplayNameFor(Model => Model.MiddleName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="MiddleName" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="MiddleName"></span>
                        </label>
                    </div>

                    <label asp-for="LastName">@Html.DisplayNameFor(Model => Model.LastName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="LastName" class="form-control" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="LastName"></span>
                        </label>
                    </div>

                    <label asp-for="BirthDate">@Html.DisplayNameFor(Model => Model.BirthDate)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="BirthDate" class="form-control" type="date" />
                        </div>
                        <label class="error">
                            <span asp-validation-for="BirthDate"></span>
                        </label>
                    </div>

                    <div class="form-group">
                        <label asp-for="EducationLevelId">@Html.DisplayNameFor(Model => Model.EducationLevelId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" id="EducationLevelId" title="@Html.DisplayNameFor(Model => Model.EducationLevels)" asp-for="EducationLevelId" data-live-search="true" asp-items="@(new SelectList(Model.EducationLevels,"Id","Level"))"></select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label asp-for="CivilStatusId">@Html.DisplayNameFor(Model => Model.CivilStatusId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" id="CivilStatusId" title="@Html.DisplayNameFor(Model => Model.CivilStatuses)" asp-for="CivilStatusId" data-live-search="true" asp-items="@(new SelectList(Model.CivilStatuses,"Id","Description"))"></select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label asp-for="SexTypeId">@Html.DisplayNameFor(Model => Model.SexTypeId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" id="SexTypeId" title="@Html.DisplayNameFor(Model => Model.SexTypes)" asp-for="SexTypeId" data-live-search="true" asp-items="@(new SelectList(Model.SexTypes,"Id","Value"))"></select>
                        </div>
                    </div>

                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">Guardar cambios</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">Crear persona</h4>
                                </div>
                                <div class="modal-body">
                                    ¿Desea crear la persona?
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="Guardar cambios" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Cancelar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

PlataformaEducativa/PlataformaEducativa.Site/Views/People/Index.cshtml
@model IEnumerable<PlataformaEducativa.Site.Models.People.PeopleListViewModel>
@{
    ViewData["Title"] = "Index";
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
            <div class="header">
                <h2>
                    Persona
                </h2>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                        <a asp-action="Create" asp-controller="People" data-loader="true" class="btn btn-primary waves-effect waves-light">Crear persona</a>
                    </div>
                </div>
                <div class="table-responsive">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Identity)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().FullName)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().SexType)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().BirthDate)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().CivilStatus)</th>
                                <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().EducationLevel)</th>
                                <th>Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                            <tr>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Identity)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.FullName)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.SexType)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.BirthDate)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.CivilStatus)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.EducationLevel)
                                </td>
                                <td>
                                    <a asp-action="Edit" asp-route-id="@item.Id" data-loader="true" data-tooltip="tooltip" data-placement="top" title="Editar persona" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                        <i class="material-icons">edit</i>
                                    </a>
                                    <a href="#confirm_@item.Id" data-tooltip="tooltip" data-placement="top" title="Eliminar persona" class="btn btn-xs btn-table btn-circle waves-effect waves-red waves-circle" data-toggle="modal" data-target="#confirm_@item.Id">
                                        <i class="material-icons">delete</i>
                                    </a>
                                    <a asp-action="Details" asp-route-id="@item.Id" data-loader="true" data-tooltip="tooltip" data-placement="top" title="Detalles de la persona" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                        <i class="material-icons">arrow_forward</i>
                                    </a>
                                    <form asp-action="Delete" asp-route-id="@item.Id">
                                        <div class="modal fade" id="confirm_@item.Id" tabindex="-1" role="dialog">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h4 class="modal-title" id="defaultModalLabel">Eliminar persona</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        ¿Está seguro de querer eliminar la persona?
                                                    </div>
                                                    <div class="modal-footer">
                                                        <input type="submit" value="Eliminar" data-loader="true" class="btn btn-danger waves-effect" />
                                                        <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Cancelar</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                    }
                                </td>
                            </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>